#--
#
#################################################################################
# Copyright 2011 CENATIC y IEPALA
#
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas por la Comisión Europea– 
# versiones posteriores de la EUPL (la «Licencia»);
# Solo podrá usarse esta obra si se respeta la Licencia.
# Puede obtenerse una copia de la Licencia en:
#
# http://www.osor.eu/eupl/european-union-public-licence-eupl-v.1.1
#
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye «TAL CUAL»,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones que establece la Licencia.
#################################################################################
#
#++


class DatosAgenteController < ApplicationController

 # --
 ########## ETAPAS ##########
 # ++
	# en agentes: se redirecciona por defecto a etapas
  def index
    redirect_to :action => 'etapas'  
  end

  # en agentes: lista las etapas relacionadas
  def etapas
    @etapas = @agente.etapa
    render "comunes/etapas"
  end

  #  en agentes: crea una nueva etapa con un tipo determinado según la sección.
  def editar_nuevo_etapa
    @etapa = params[:id] ?  Etapa.find(params[:id]) : nil
    render :partial => "comunes/etapa"
  end

	#  en agentes: modifica o crea un determinada etapa
  def modificar_crear_etapa
    @etapa = params[:id] ?  Etapa.find(params[:id]) : Etapa.new(:agente_id => @agente.id)
    @etapa.update_attributes params[:etapa]
    flash[:error] = @etapa
    redirect_to :action => 'etapas'
  end

	#  en agentes: elimina etapa.
  def eliminar_etapa
    @etapa = Etapa.find(params[:id])
    @etapa.destroy
    flash[:error_eliminar] = @etapa
    redirect_to :action => 'etapas'
  end


 # --
 ########## MONEDAS ##########
 # ++

  # en agentes: lista las monedas relacionadas
  def monedas
    @monedas = @agente.moneda.reload
    render "monedas"
  end

  #  en agentes: crea una nueva etapa con un tipo determinado según la sección.
  def editar_nuevo_moneda
    monedas_agente = @agente.moneda
    monedas_todas = Moneda.find(:all)
    @monedas = (monedas_todas - monedas_agente).collect {|m| [m.nombre, m.id]}
    render :partial => "moneda"
  end

	#  en agentes: modifica o crea un determinada etapa
  def modificar_crear_moneda
    axm = AgenteXMoneda.create(:agente_id => @agente.id, :moneda_id => params[:moneda][:relacionada]) unless params[:moneda].nil? or params[:moneda][:relacionada] == ""
    flash[:error] = "Debe elegir una moneda para relacionarla con el agente" if params[:moneda].nil? or params[:moneda][:relacionada] == ""
    flash[:error] = axm unless params[:moneda].nil? or params[:moneda][:relacionada] == ""
    redirect_to :action => 'monedas'
  end

	#  en agentes: elimina etapa.
  def eliminar_moneda
    AgenteXMoneda.find_by_moneda_id(params[:id]).delete
    #flash[:error_eliminar] = @moneda
    redirect_to :action => 'monedas'
  end

end
#done

