#--
#
#################################################################################
# Copyright 2011 CENATIC y IEPALA
#
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas por la Comisión Europea– 
# versiones posteriores de la EUPL (la «Licencia»);
# Solo podrá usarse esta obra si se respeta la Licencia.
# Puede obtenerse una copia de la Licencia en:
#
# http://www.osor.eu/eupl/european-union-public-licence-eupl-v.1.1
#
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye «TAL CUAL»,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones que establece la Licencia.
#################################################################################
#
#++
# Controlador encargado de la gestión del workflow

class EspacioController < ApplicationController
  # en administracion: se redirecciona por defecto a ordenado
  def index
    redirect_to :action => 'ordenado'
  end

  # en administracion o en definicion_estados: establece los parametros de ordenación
  def ordenado
    session[:espacio_asc_desc] = params[:asc_desc] ? params[:asc_desc] : "ASC"   
    session[:espacio_orden] = params[:orden] ? params[:orden] : "nombre" 
    session[:espacio_orden] = "espacio_padre_id" if params[:orden] == "ruta"
    redirect_to :action => "listado" 
  end

  # en administracion: lista las definicion_estados que hay en el sistema
  def listado
    @espacios = @paginado =  Espacio.paginate(:all, :order => (session[:espacio_orden] + " " + session[:espacio_asc_desc] ), :page => params[:page], :per_page => (session[:por_pagina]) , :conditions => {:definicion_espacio_proyecto_id=> nil, :definicion_espacio_agente_id=> nil} )
  end
  
  # en administracion: prepara el formulario de edición o creación
  def editar_nuevo
    @espacio = params[:id] ?  Espacio.find(params[:id]) : Espacio.new
    condiciones = "proyecto_id is NULL and nombre != 'Proyectos' and nombre != 'Plantillas exportación' and definicion_espacio_proyecto_id is NULL and definicion_espacio_proyecto is NULL"
    @espacios_padre = Espacio.find(:all, :conditions => condiciones).collect{ |a| [ (a.nombre), a.id]}
    render :partial => "formulario"
  end

  # en administracion: modifica o crea
  def modificar_crear
    @espacio = params[:id] ?  Espacio.find(params[:id]) : Espacio.new
    params[:espacio][:espacio_padre_id] = nil if params[:espacio][:definicion_espacio_proyecto]
    @espacio.update_attributes params[:espacio]
    @espacio.save 
    flash[:error] = @espacio
    redirect_to :action => "listado"
  end

  # en administracion: elimina
  def eliminar
    @espacio = Espacio.find(params[:id])
    ActiveRecord::Base.transaction do
      @espacio.destroy
      raise ActiveRecord::Rollback unless @espacio.errors.empty? 
    end
    session[:espacio_seleccionado] = nil
    flash[:error_eliminar] = @espacio
    redirect_to :action => 'listado'
  end


end
