#--
#
#################################################################################
# Copyright 2011 CENATIC y IEPALA
#
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas por la Comisión Europea– 
# versiones posteriores de la EUPL (la «Licencia»);
# Solo podrá usarse esta obra si se respeta la Licencia.
# Puede obtenerse una copia de la Licencia en:
#
# http://www.osor.eu/eupl/european-union-public-licence-eupl-v.1.1
#
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye «TAL CUAL»,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones que establece la Licencia.
#################################################################################
#
#++
class Pago < ActiveRecord::Base
  untranslate_all

  belongs_to :gasto
  belongs_to :libro

  validates_presence_of :importe, :message => _("Importe") + _(" no puede estar vacío.")
  validates_presence_of :fecha,  :message => _("Fecha") + _(" no puede estar vacío.")
  validates_presence_of :gasto_id, :message => _("Gasto") + _(" no puede estar vacío.")
  validates_presence_of :libro_id, :mensage => _("Cuenta") + _(" no puede estar vacía.")
  validates_associated :gasto, :message =>  _("El gasto asociado no es correcto.")
  validates_associated :libro, :message => _("La cuenta asociada no es correcta.")

  validate :comprueba_libro_moneda
  before_save :ajusta_forma_pago_manual

  # Comprueba que el libro pertenezca al agente implementador del gasto asociado
  # y que el libro tiene la misma moneda que el gasto
  def comprueba_libro_moneda
    errors.add("Pago", _("No existe libro asociado al pago!")) unless libro
    errors.add("Libro", _("El libro no pertenece al implementador del gasto relacionado")) if gasto.nil? || (libro && libro.agente != gasto.agente)
    errors.add("Libro", _("El libro no tiene la moneda asociada al gasto relacionado")) if gasto.nil? || (libro && libro.moneda != gasto.moneda)
  end

  def ajusta_forma_pago_manual
    unless Libro.find_by_id(self.libro_id).tipo == "banco"
      self.forma_pago = _("Metálico")
      self.referencia_pago = nil
    end
  end

end
