#--
#
#################################################################################
# Copyright 2011 CENATIC y IEPALA
#
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas por la Comisión Europea– 
# versiones posteriores de la EUPL (la «Licencia»);
# Solo podrá usarse esta obra si se respeta la Licencia.
# Puede obtenerse una copia de la Licencia en:
#
# http://www.osor.eu/eupl/european-union-public-licence-eupl-v.1.1
#
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye «TAL CUAL»,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones que establece la Licencia.
#################################################################################
#
#++
class VGastoAgente < ActiveRecord::Base
  untranslate_all
  belongs_to :partida
  belongs_to :subpartida

  # valores[0] = agente_id, valores[1] = etapa_id, valores[2] = moneda_id, valores[3] = tasa_cambio, valores[4] = partida_id
  # named_scope :subpartidas_partida, lambda { |*valores| {
  #                               :select => "subpartida_id as fila_id, implementador_id as columna_id, #{importe valores[2], valores[3]} as importe, proyecto_id as proyecto_id", 
  #                               :group => "etapa_id, #{valores[2] == "todas" ? "" : " moneda_id, "} partida_id, implementador_id, proyecto_id, subpartida_id",
  #                               :conditions => condiciones(valores[0], valores[1], valores[2], valores[4])  } }



  # valores[0] = agente_id, valores[1] = fecha_inicio, valores[2] = fecha_fin,  valores[3] = moneda_id, valores[4] = tasa_cambio, valores[5] = partida_id
  named_scope :partida, lambda { |*valores| {
                                 :select => "partida_id, implementador_id, #{importe valores[3], valores[4]} as importe", 
                                 :group => "#{valores[3] == "todas" ? "" : " moneda_id, "} partida_id, implementador_id",
                                 :conditions => condiciones(valores[0], valores[1], valores[2], valores[3], valores[5])  } }

  # valores[0] = agente_id, valores[1] = fecha_inicio, valores[2] = fecha_fin,  valores[3] = moneda_id, valores[4] = tasa_cambio, valores[5] = partida_id, valores[6] = subpartida_id, valores[7] = subpartida_nil
  named_scope :subpartida, lambda { |*valores| {
                                 :select => "subpartida_id, subpartida_nombre, partida_id, partida_nombre, implementador_id, #{importe valores[3], valores[4]} as importe", 
                                 :group => "#{valores[3] == "todas" ? "" : " moneda_id, "} partida_id, implementador_id, subpartida_id",
                                 :conditions => condiciones(valores[0], valores[1], valores[2], valores[3], valores[5], :subpartida =>  valores[6], :subpartida_nil => valores[7])  } }


  def self.importe moneda_id, tasa_cambio
    importe = if  moneda_id == "todas";  "sum(importe_moneda_base)"
               elsif tasa_cambio == "0"; "sum(importe)"
               elsif tasa_cambio == "1"; "sum(importe_moneda_base)"; end
    return importe
  end  

  def self.condiciones agente_id, fecha_inicio, fecha_fin, moneda_id, partida_id, otros={}
     condiciones = {"implementador_id" => agente_id, "fecha" => fecha_inicio..fecha_fin }
     condiciones["moneda_id"] = moneda_id unless moneda_id == "todas"
     condiciones["partida_id"] = partida_id if partida_id
     condiciones["subpartida_id"] = otros[:subpartida] if otros[:subpartida]
     condiciones["subpartida_id"] = nil if otros[:subpartida_nil]
     return condiciones
  end

end
