class ProcedureXmlFinanciadorDeUnGasto < ActiveRecord::Migration
  def self.up
    execute <<-__EOI
CREATE DEFINER=CURRENT_USER FUNCTION `xml_financiador_de_un_gasto`(gasto_id INT) RETURNS longtext CHARSET utf8
BEGIN

  DECLARE tmp longtext;
  set tmp=
    (SELECT  
      group_concat(
        '<financiador ',
        'nombre="',ifnull(a.nombre,''),'" ',  
        'porcentaje="',ifnull(gxa.porcentaje,''),'" ',  
        '/>'
      SEPARATOR '') as tmp
    FROM
      agente a,
      gasto_x_agente gxa
    WHERE
      a.id=gxa.agente_id
      and gxa.gasto_id = gasto_id); 

return tmp;
END;
__EOI

  end

  def self.down
    execute "DROP FUNCTION IF EXISTS xml_financiador_de_un_gasto"
  end
end
