class EliminarFinanciacion < ActiveRecord::Migration
  def self.up
    #Eliminamos financiacion
    drop_table :financiacion
    # Cambios en proyecto
    add_column :proyecto, :agente_id, :integer
    add_column :proyecto, :moneda_id, :integer
    # Cambios en partida_financiacion
    rename_column :partida_financiacion, :financiacion_id, :proyecto_id
    # cambios en tasa de cambio
    remove_column :tasa_cambio_gasto, :financiacion_id
    drop_table :tasa_cambio_presupuesto
    add_column :presupuesto, :tasa_cambio, :decimal, :precision => 15, :scale => 4, :default => 0.0 
  end

  def self.down
    # Añadimos financiacion
    create_table "financiacion", :force => true do |t|
      t.string  "nombre"
      t.text    "titulo"
      t.integer "financiador_id"
      t.integer "solicitante_id"
      t.integer "moneda_id"
    end
    # Cambios en proyecto
    remove_column :proyecto, :agente_id
    remove_column :proyecto, :moneda_id
    # Cambios en partida_financiacion
    rename_column :partida_financiacion, :proyecto_id, :financiacion_id
    # cambios en tasa de cambio
    add_column :tasa_cambio_gasto, :financiacion_id, :integer
    create_table "tasa_cambio_presupuesto", :force => true do |t|
      t.integer "proyecto_id"
      t.integer "financiacion_id"
      t.decimal "tasa_cambio",     :precision => 15, :scale => 4, :default => 0.0
      t.integer "presupuesto_id"
    end
    remove_column :presupuesto, :tasa_cambio
  end
end
