class EliminarGastoTransferenciaDeEspacios < ActiveRecord::Migration
  def self.up
    if Espacio.count > 0
      Espacio.find_by_nombre_and_definicion_espacio_proyecto("Gastos",true).destroy
      Espacio.find_by_nombre_and_definicion_espacio_proyecto("Transferencias",true).destroy
      Espacio.find_by_nombre_and_definicion_espacio_agente("Gastos",true).destroy
      Espacio.find_by_nombre_and_definicion_espacio_agente("Transferencias",true).destroy
      Espacio.find_by_nombre_and_definicion_espacio_proyecto("Fuentes de verificación",true).destroy
    end
    remove_column :espacio, :gasto
    remove_column :espacio, :transferencia
    remove_column :espacio, :fuente_verificacion
  end

  def self.down
    create_column :espacio, :gasto, :boolean
    create_column :espacio, :transferencia, :boolean
    create_column :espacio, :fuente_verificacion, :boolean
    Espacio.reset_column_information
    Espacio.create :nombre => "Transferencias", :definicion_espacio_proyecto => true, :transferencia => true
    Espacio.create :nombre => "Gastos", :definicion_espacio_proyecto => true, :gasto => true
    Espacio.create :nombre => "Fuentes de verificación", :definicion_espacio_proyecto => true, :fuente_verificacion => true
    Espacio.create :nombre => "Transferencias", :definicion_espacio_agente => true, :transferencia => true
    Espacio.create :nombre => "Gastos", :definicion_espacio_agente => true, :gasto => true
  end
end
