ong = "aplic_sf"
ong_completo = "Aplicaciones sin fronteras"
usuarios = ["metangula", "lichinga", "catur", "marrupa", "montepuez", "mueda", "nacala", "cuamba", "nampula", "lumbo", "pemba", "quelimane", "nacambe", "decalo", "escola", "maputo" ]
namespace :formacion do
 desc "usuarios"
  task :usuarios => :environment do
    ( [ ong ] + usuarios ).each do |usuario|
      Usuario.create(:nombre => usuario, :contrasena => Digest::SHA1.hexdigest("gong"), :correoe => "gong@ejemplo.org", :administracion => false, :proyectos => true, :financiaciones => true, :agentes=> true, :cuadromando => false, :socios => false)
    end

  end

  desc "Datos basicos"
  task :datos_basicos => :environment do
    Pais.create(:nombre => "España")
    Pais.create(:nombre => "Mozambique")
    Moneda.create(:nombre => "EURO", :abreviatura => "EUR")
    Moneda.create(:nombre => "NUEVO METICAL", :abreviatura => "MZN")
    Partida.create( :nombre => "IDENTIFICACION", :codigo => "I", :descripcion => "Identificación del proyecto", :tipo => "directo")
    Partida.create( :nombre => "EQUIPAMIENTO", :codigo => "IV", :descripcion => "", :tipo => "directo")
    Partida.create( :nombre => "EVALUACIÓN EXTERNA", :codigo => "II", :descripcion => "Evaluación externa", :tipo => "directo")
    Partida.create( :nombre => "AUDITORIAS", :codigo => "III", :descripcion => "Auditorias", :tipo => "directo")
    Partida.create( :nombre => "CONSTRUCCIÓN Y/O REFORMA", :codigo => "V", :descripcion => "Construcción", :tipo => "directo")
    Partida.create( :nombre => "EQUIPOS", :codigo => "VI", :descripcion => "SUMINISTROS", :tipo => "directo")
    Partida.create( :nombre => "PERSONAL EN SEDE", :codigo => "VII", :descripcion => "Personal en sede", :tipo => "directo")
    Partida.create( :nombre => "PERSONAL EXPATRIADO", :codigo => "VIII", :descripcion => "Personal expatriado", :tipo => "directo")
    Partida.create( :nombre => "PERSONAL LOCAL", :codigo => "IX", :descripcion => "Personal local", :tipo => "directo")
    Partida.create( :nombre => "SERVICIOS TECNICOS", :codigo => "X", :descripcion => "Servicios técnicos", :tipo => "directo")
    Partida.create( :nombre => "FONDO ROTARIO", :codigo => "XI", :descripcion => "Fondo Rotatorio", :tipo => "directo")
    Partida.create( :nombre => "FUNCIONAMIENTO TERRENO", :codigo => "XII", :descripcion => "Funcionamiento en terreno", :tipo => "directo")
    Partida.create( :nombre => "VIAJES", :codigo => "XIII", :descripcion => "ALOJAMIENTOS Y DIETAS", :tipo => "directo")
    Partida.create( :nombre => "GASTOS FINANCIEROS", :codigo => "XIV", :descripcion => "Gastos financieros", :tipo => "directo")
    Partida.create( :nombre => "TRIBUTOS", :codigo => "XV", :descripcion => "Tributos", :tipo => "directo")
    Partida.create( :nombre => "GTOS. ADM. ONG LOCAL", :codigo => "XVII", :descripcion => "", :tipo => "indirecto")
    Partida.create( :nombre => "GTOS. ADM. SEDE", :codigo => "XVIII", :descripcion => "", :tipo => "indirecto")
    Partida.create( :nombre => "GTOS. ADM. TERRENO", :codigo => "XIX", :descripcion => "", :tipo => "directo")
    Partida.create( :nombre => "SENSIBILIZACION", :codigo => "XX", :descripcion => "Gastos de Sensibilización", :tipo => "directo")
    Partida.create( :nombre => "VIVIENDA EXPATRIADO", :codigo => "XVI", :descripcion => "", :tipo => "directo")

  end

  desc "proyecto gong mozambique"
  task :proyecto_gong => [:environment, :datos_basicos, :usuarios] do
    pais_id = Pais.find_by_nombre("Mozambique").id
    Proyecto.create(:nombre => "GONG-MOZ", :titulo => "Implantación de Gong en Mozambique y difusión del caso de exito en el sector", :pais_id => pais_id)
    proyecto = Proyecto.find_by_nombre("GONG-MOZ")
    ["EUR", "MZN"].each do |abreviatura|
      moneda = Moneda.find_by_abreviatura(abreviatura)
      if not proyecto.moneda.include? moneda
        proyecto.moneda << moneda
      end
    end
    usuario = Usuario.find_by_nombre(ong)
    if not proyecto.usuario.include? usuario
      proyecto.usuario << usuario
    end
    uxp = UsuarioXProyecto.find(:first, :conditions => {:proyecto_id => proyecto.id, :usuario_id => usuario.id})
    uxp.rol = "moderador"
    uxp.save

    usuario = Usuario.find_by_nombre("admin")
    if not proyecto.usuario.include? usuario
      proyecto.usuario << usuario
    end
    uxp = UsuarioXProyecto.find(:first, :conditions => {:proyecto_id => proyecto.id, :usuario_id => usuario.id})
    uxp.rol = "usuario"
    uxp.save
    usuarios.each do |usuario| 
      usuario = Usuario.find_by_nombre(usuario)
      if not proyecto.usuario.include? usuario
        proyecto.usuario << usuario
      end
      uxp = UsuarioXProyecto.find(:first, :conditions => {:proyecto_id => proyecto.id, :usuario_id => usuario.id})
      uxp.rol = "usuario"
      uxp.save
    end
  end
  
  desc "agentes para gong Mozambique"
  task :agentes_gong => [:environment, :usuarios, :datos_basicos, :proyecto_gong] do 
    proyecto = Proyecto.find_by_nombre("GONG-MOZ")
    agente = Agente.find_by_nombre("AECID") ? Agente.find_by_nombre("AECID") : Agente.create(:nombre => "AECID", :nombre_completo => "Agencia Española de Cooperación Internacional para el Desarrollo", :financiador => true, :implementador => false)
    if not proyecto.financiador.include? agente
      proyecto.financiador << agente
    end

    usuario = Usuario.find_by_nombre(ong)
    agente = Agente.find_by_nombre( "AGENTE-" + ong.upcase) ? Agente.find_by_nombre( "AGENTE-" + ong.upcase) : Agente.create(:nombre => "AGENTE-" + ong.upcase, :nombre_completo => ong_completo, :financiador => true, :implementador => true)
    if not proyecto.financiador.include? agente
      proyecto.financiador << agente
    end
    if not proyecto.implementador.include? agente
      proyecto.implementador << agente
    end
    agente = Agente.find_by_nombre("AGENTE-" + ong.upcase)
    usuario = Usuario.find_by_nombre(ong)
    if not agente.usuario.include? usuario
      agente.usuario << usuario
    end
    uxp = UsuarioXAgente.find(:first, :conditions => {:agente_id => agente.id, :usuario_id => usuario.id})
    uxp.rol = "moderador"
    uxp.save
    usuarios.each do |usuario|
      agente = Agente.find_by_nombre("AGENTE-" + usuario.upcase) ? Agente.find_by_nombre("AGENTE-" + usuario.upcase) : Agente.create(:nombre => "AGENTE-" + usuario.upcase, :nombre_completo => "Asociación local de " + usuario, :financiador => false, :implementador => true)
      agente = Agente.find_by_nombre("AGENTE-" + usuario.upcase)
      if not proyecto.implementador.include? agente
        proyecto.implementador << agente
      end
      usuario = Usuario.find_by_nombre(usuario)
      if not agente.usuario.include? usuario
        agente.usuario << usuario
      end
      uxp = UsuarioXAgente.find(:first, :conditions => {:agente_id => agente.id, :usuario_id => usuario.id})
      uxp.rol = "moderador"
    uxp.save
    end
  end

  desc "financiaciacion AECID para el gong moz"
  task :financiacion_gong => [:environment, :agentes_gong, :usuarios, :datos_basicos] do
    Financiacion.create(:nombre => "GONG-MOZ-AECID", :titulo => "Financiación AECID de la implantación del GONG en Mozambique", :financiador_id => Agente.find_by_nombre("AECID").id, :solicitante_id => Agente.find_by_nombre("AGENTE-" + ong.upcase).id, :moneda_id => Moneda.find_by_abreviatura("EUR").id )
    financiacion = Financiacion.find_by_nombre("GONG-MOZ-AECID")
    usuario = Usuario.find_by_nombre(ong)
    if not financiacion.usuario.include? usuario
      financiacion.usuario << usuario
    end
    uxp = UsuarioXFinanciacion.find(:first, :conditions => {:financiacion_id => financiacion.id, :usuario_id => usuario.id})
    uxp.rol = "moderador"
    uxp.save
    usuarios.each do |usuario|
      usuario = Usuario.find_by_nombre(usuario)
      if not financiacion.usuario.include? usuario
        financiacion.usuario << usuario
      end
      uxp = UsuarioXFinanciacion.find(:first, :conditions => {:financiacion_id => financiacion.id, :usuario_id => usuario.id})
      uxp.rol = "usuario"
      uxp.save
    end
  end

  desc "cuentas para los agentes de gong moz"
  task :cuentas_gong => [:environment, :agentes_gong, :usuarios, :datos_basicos] do
    proyecto = Proyecto.find_by_nombre("GONG-MOZ")
    Libro.create(:nombre => "CUENTA-BANCO-" + ong.upcase, :moneda_id => Moneda.find_by_abreviatura("EUR").id, :agente_id => Agente.find_by_nombre("AGENTE-" + ong.upcase).id, :descripcion => "Cuenta bancaria de " + ong, :tipo => "banco", :pais_id => Pais.find_by_nombre("España").id )
    cuenta = Libro.find_by_nombre("CUENTA-BANCO-" + ong.upcase)
    usuario = Usuario.find_by_nombre(ong)
    if not cuenta.usuario.include? usuario
      cuenta.usuario << usuario
    end
    uxl = UsuarioXLibro.find(:first, :conditions => {:libro_id => cuenta.id, :usuario_id => usuario.id})
    uxl.rol = "moderador"
    uxl.save
    if not cuenta.proyecto.include? proyecto
      cuenta.proyecto << proyecto
    end
    Libro.create(:nombre => "CUENTA-CAJA-" + ong.upcase, :moneda_id => Moneda.find_by_abreviatura("EUR").id, :agente_id => Agente.find_by_nombre("AGENTE-" + ong.upcase).id, :descripcion => "Caja de " + ong, :tipo => "caja-chica", :pais_id => Pais.find_by_nombre("España").id )
    cuenta = Libro.find_by_nombre("CUENTA-CAJA-" + ong.upcase)
    usuario = Usuario.find_by_nombre(ong)
    if not cuenta.usuario.include? usuario
      cuenta.usuario << usuario
    end
    if not cuenta.proyecto.include? proyecto
      cuenta.proyecto << proyecto
    end
    uxl = UsuarioXLibro.find(:first, :conditions => {:libro_id => cuenta.id, :usuario_id => usuario.id})
    uxl.rol = "moderador"
    uxl.save
    
    usuarios.each do |usuario|
      Libro.create(:nombre => "CUENTA-BANCO-" + usuario.upcase, :moneda_id => Moneda.find_by_abreviatura("MZN").id, :agente_id => Agente.find_by_nombre("AGENTE-" + usuario.upcase).id, :descripcion => "Cuenta bancaria de " + usuario, :tipo => "banco", :pais_id => Pais.find_by_nombre("Mozambique").id )
      cuenta = Libro.find_by_nombre("CUENTA-BANCO-" + usuario.upcase)
      usuario = Usuario.find_by_nombre(usuario)
      if not cuenta.usuario.include? usuario
        cuenta.usuario << usuario
      end
      if not cuenta.proyecto.include? proyecto
        cuenta.proyecto << proyecto
      end
      uxl = UsuarioXLibro.find(:first, :conditions => {:libro_id => cuenta.id, :usuario_id => usuario.id})
      uxl.rol = "moderador"
      uxl.save
      Libro.create(:nombre => "CUENTA-CAJA-" + usuario.nombre.upcase, :moneda_id => Moneda.find_by_abreviatura("MZN").id, :agente_id => Agente.find_by_nombre("AGENTE-" + usuario.nombre.upcase).id, :descripcion => "Caja de " + usuario.nombre, :tipo => "caja-chica", :pais_id => Pais.find_by_nombre("Mozambique").id )
      cuenta = Libro.find_by_nombre("CUENTA-CAJA-" + usuario.nombre.upcase)
      #usuario = Usuario.find_by_nombre(usuario.nombre)
      if not cuenta.usuario.include? usuario
        cuenta.usuario << usuario
      end
      uxl = UsuarioXLibro.find(:first, :conditions => {:libro_id => cuenta.id, :usuario_id => usuario.id})
      uxl.rol = "moderador"
      uxl.save
    end
  end

  desc "todo lo que necesitamos en administración"
  task :all_admin => [:environment, :datos_basicos, :usuarios, :proyecto_gong, :agentes_gong, :financiacion_gong, :cuentas_gong ] 
#################### fin admin ##################################

  desc "objetivo especifico y resultados de aplic_sf"
  task :obj_res_aplic_sf => [:environment, :all_admin] do
    ObjetivoEspecifico.create(:codigo => "OE01", :descripcion => "Implantación de GONG en Mozambique", :proyecto_id => Proyecto.find_by_nombre("GONG-MOZ").id )
    Resultado.create(:codigo => "OE01-R01", :descripcion => "instalación servidor y test en " + ong_completo, :proyecto_id => Proyecto.find_by_nombre("GONG-MOZ").id, :objetivo_especifico_id => ObjetivoEspecifico.find_by_codigo("OE01").id )
    Resultado.create(:codigo => "OE01-R05", :descripcion => "Difusión por " + ong_completo, :proyecto_id => Proyecto.find_by_nombre("GONG-MOZ").id, :objetivo_especifico_id => ObjetivoEspecifico.find_by_codigo("OE01").id )
  end

  desc "actividades de aplic_sf"
  task :act_aplic_sf => [:environment, :all_admin, :obj_res_aplic_sf] do
    Actividad.create(:codigo => "R01-A01", :descripcion => "Instalación del software", :fecha_inicio => "2011-01-01", :fecha_fin => "2011-01-31", :proyecto_id => Proyecto.find_by_nombre("GONG-MOZ").id, :resultado_id => Resultado.find_by_codigo("OE01-R01").id)
    Actividad.create(:codigo => "R01-A02", :descripcion => "Selección y capacitación del equipo implantador", :fecha_inicio => "2011-02-01", :fecha_fin => "2011-03-01", :proyecto_id => Proyecto.find_by_nombre("GONG-MOZ").id, :resultado_id => Resultado.find_by_codigo("OE01-R01").id)
    Actividad.create(:codigo => "R01-A03", :descripcion => "Incorporación de proyectos pilotos a la herramienta", :fecha_inicio => "2011-03-01", :fecha_fin => "2011-08-31", :proyecto_id => Proyecto.find_by_nombre("GONG-MOZ").id, :resultado_id => Resultado.find_by_codigo("OE01-R01").id)
    Actividad.create(:codigo => "R05-A01", :descripcion => "Elaborar un manual de buenas prácticas", :fecha_inicio => "2012-04-01", :fecha_fin => "2012-05-31", :proyecto_id => Proyecto.find_by_nombre("GONG-MOZ").id, :resultado_id => Resultado.find_by_codigo("OE01-R05").id)
    Actividad.create(:codigo => "R05-A02", :descripcion => "Puesta en marcha de las herramientas de difusión", :fecha_inicio => "2011-06-01", :fecha_fin => "2012-07-31", :proyecto_id => Proyecto.find_by_nombre("GONG-MOZ").id, :resultado_id => Resultado.find_by_codigo("OE01-R05").id)
  end

  desc "resultados de las asociaciones en Mozambique"
  task :result_asoc_moz => [:environment, :all_admin, :obj_res_aplic_sf] do
    regexp = /(^[a-z]{4}).*/
    usuarios.each do |usuario|
      abrevia = usuario.upcase
      Resultado.create(:codigo => "OE01-R03-" + abrevia, :descripcion => "instalación servidor y test en " + abrevia, :proyecto_id => Proyecto.find_by_nombre("GONG-MOZ").id, :objetivo_especifico_id => ObjetivoEspecifico.find_by_codigo("OE01").id )
    end
  end

  desc "actividades de las asociaciones en Mozambique"
  task :act_asoc_moz => [:environment, :all_admin, :result_asoc_moz] do
    regexp = /(^[a-z]{4}).*/
    usuarios.each do |usuario|
      abrevia = usuario.upcase
      Actividad.create(:codigo => "R03-A01-" + abrevia, :descripcion => "Elaboración del alcance y el calendario en " + abrevia, :fecha_inicio => "2011-09-01", :fecha_fin => "2011-10-30", :proyecto_id => Proyecto.find_by_nombre("GONG-MOZ").id, :resultado_id => Resultado.find_by_codigo("OE01-R03-" + abrevia).id)
      Actividad.create(:codigo => "R03-A02-" + abrevia, :descripcion => "Elaboración del plan de formación y capacitación en " + abrevia, :fecha_inicio => "2011-08-01", :fecha_fin => "2011-09-31", :proyecto_id => Proyecto.find_by_nombre("GONG-MOZ").id, :resultado_id => Resultado.find_by_codigo("OE01-R03-" + abrevia).id)
      Actividad.create(:codigo => "R03-A03-" + abrevia, :descripcion => "Incorporación de proyectos al software en " + abrevia, :fecha_inicio => "2011-08-01", :fecha_fin => "2012-01-31", :proyecto_id => Proyecto.find_by_nombre("GONG-MOZ").id, :resultado_id => Resultado.find_by_codigo("OE01-R03-" + abrevia).id)
      Actividad.create(:codigo => "R03-A04-" + abrevia, :descripcion => "Evaluación de la implantación en " +  abrevia, :fecha_inicio => "2012-02-01", :fecha_fin => "2012-04-29", :proyecto_id => Proyecto.find_by_nombre("GONG-MOZ").id, :resultado_id => Resultado.find_by_codigo("OE01-R03-" + abrevia).id)
    end
  end

    desc "presupuesto aplic_sf"
    task :presup_aplic_sf => [:environment, :all_admin, :obj_res_aplic_sf, :act_aplic_sf] do
       proyecto = Proyecto.find_by_nombre("GONG-MOZ")
       aecid = Agente.find_by_nombre("AECID")
       agenteong = Agente.find_by_nombre("AGENTE-" + ong.upcase)

       presupuesto = Presupuesto.create(:importe => 5000.00, :subpartida => "INSTALACION DE SW", :observaciones => "", :partida_id => Partida.find_by_nombre("SERVICIOS TECNICOS").id, :moneda_id => Moneda.find_by_abreviatura("EUR").id, :agente_id => Agente.find_by_nombre("AGENTE-" + ong.upcase).id, :fecha_inicio => "2011-11-01", :fecha_fin => "2011-12-01", :libro_id => Libro.find_by_nombre("CUENTA-BANCO-" + ong.upcase).id, :coste_unitario => nil, :numero_unidades => nil )
       pxp = PresupuestoXProyecto.new
       pxp.proyecto_id = proyecto.id
       pxp.presupuesto_id = presupuesto.id
       pxp.porcentaje = 1.0
       pxp.save
       pxa = PresupuestoXAgente.create(:presupuesto_id => presupuesto.id, :agente_id => aecid.id, :proyecto_id => proyecto.id, :porcentaje => 0.8)
       pxa.save
       pxa = PresupuestoXAgente.create(:presupuesto_id => presupuesto.id, :agente_id => agenteong.id, :proyecto_id => proyecto.id, :porcentaje => 0.2)
       pxa.save
       pxa = PresupuestoXActividad.create(:presupuesto_id => presupuesto.id, :actividad_id => Actividad.find_by_codigo("R01-A01").id, :porcentaje => 1.0, :proyecto_id => 1)
       pxa.save
       
       presupuesto = Presupuesto.create(:importe => 5000.00, :subpartida => "SELECCIÓN Y CAPACITACIÓN EQUIPOS", :observaciones => "", :partida_id => Partida.find_by_nombre("SERVICIOS TECNICOS").id, :moneda_id => Moneda.find_by_abreviatura("EUR").id, :agente_id => Agente.find_by_nombre("AGENTE-" + ong.upcase).id, :fecha_inicio => "2011-11-01", :fecha_fin => "2011-12-01", :libro_id => Libro.find_by_nombre("CUENTA-BANCO-" + ong.upcase).id, :coste_unitario => nil, :numero_unidades => nil )
       pxp = PresupuestoXProyecto.new
       pxp.proyecto_id = proyecto.id
       pxp.presupuesto_id = presupuesto.id
       pxp.porcentaje = 1.0
       pxp.save
       pxa = PresupuestoXAgente.create(:presupuesto_id => presupuesto.id, :agente_id => aecid.id, :proyecto_id => proyecto.id, :porcentaje => 0.8)
       pxa.save
       pxa = PresupuestoXAgente.create(:presupuesto_id => presupuesto.id, :agente_id => agenteong.id, :proyecto_id => proyecto.id, :porcentaje => 0.2)
       pxa.save
       pxa = PresupuestoXActividad.create(:presupuesto_id => presupuesto.id, :actividad_id => Actividad.find_by_codigo("R01-A02").id, :porcentaje => 1.0, :proyecto_id => 1)
       pxa.save

       presupuesto = Presupuesto.create(:importe => 35000.00, :subpartida => "INCORPORACIÓN DE PROYECTOS PILOTO", :observaciones => "", :partida_id => Partida.find_by_nombre("SERVICIOS TECNICOS").id, :moneda_id => Moneda.find_by_abreviatura("EUR").id, :agente_id => Agente.find_by_nombre("AGENTE-" + ong.upcase).id, :fecha_inicio => "2011-11-01", :fecha_fin => "2011-12-01", :libro_id => Libro.find_by_nombre("CUENTA-BANCO-" + ong.upcase).id, :coste_unitario => nil, :numero_unidades => nil )
       pxp = PresupuestoXProyecto.new
       pxp.proyecto_id = proyecto.id
       pxp.presupuesto_id = presupuesto.id
       pxp.porcentaje = 1.0
       pxp.save
       pxa = PresupuestoXAgente.create(:presupuesto_id => presupuesto.id, :agente_id => aecid.id, :proyecto_id => proyecto.id, :porcentaje => 0.8)
       pxa.save
       pxa = PresupuestoXAgente.create(:presupuesto_id => presupuesto.id, :agente_id => agenteong.id, :proyecto_id => proyecto.id, :porcentaje => 0.2)
       pxa.save
       pxa = PresupuestoXActividad.create(:presupuesto_id => presupuesto.id, :actividad_id => Actividad.find_by_codigo("R01-A03").id, :porcentaje => 1.0, :proyecto_id => 1)
       pxa.save

       presupuesto = Presupuesto.create(:importe => 2000.00, :subpartida => "MANUAL DE BUENAS PRÁCTICAS", :observaciones => "", :partida_id => Partida.find_by_nombre("SERVICIOS TECNICOS").id, :moneda_id => Moneda.find_by_abreviatura("EUR").id, :agente_id => Agente.find_by_nombre("AGENTE-" + ong.upcase).id, :fecha_inicio => "2011-11-01", :fecha_fin => "2011-12-01", :libro_id => Libro.find_by_nombre("CUENTA-BANCO-" + ong.upcase).id, :coste_unitario => nil, :numero_unidades => nil )
       pxp = PresupuestoXProyecto.new
       pxp.proyecto_id = proyecto.id
       pxp.presupuesto_id = presupuesto.id
       pxp.porcentaje = 1.0
       pxp.save
       pxa = PresupuestoXAgente.create(:presupuesto_id => presupuesto.id, :agente_id => aecid.id, :proyecto_id => proyecto.id, :porcentaje => 0.8)
       pxa.save
       pxa = PresupuestoXAgente.create(:presupuesto_id => presupuesto.id, :agente_id => agenteong.id, :proyecto_id => proyecto.id, :porcentaje => 0.2)
       pxa.save
       pxa = PresupuestoXActividad.create(:presupuesto_id => presupuesto.id, :actividad_id => Actividad.find_by_codigo("R05-A01").id, :porcentaje => 1.0, :proyecto_id => 1)
       pxa.save

       presupuesto = Presupuesto.create(:importe => 3000.00, :subpartida => "ELABORACIÓN DE HERRAMIENTAS WEB DE DIFUSIÓN", :observaciones => "", :partida_id => Partida.find_by_nombre("SERVICIOS TECNICOS").id, :moneda_id => Moneda.find_by_abreviatura("EUR").id, :agente_id => Agente.find_by_nombre("AGENTE-" + ong.upcase).id, :fecha_inicio => "2011-11-01", :fecha_fin => "2011-12-01", :libro_id => Libro.find_by_nombre("CUENTA-BANCO-" + ong.upcase).id, :coste_unitario => nil, :numero_unidades => nil )
       pxp = PresupuestoXProyecto.new
       pxp.proyecto_id = proyecto.id
       pxp.presupuesto_id = presupuesto.id
       pxp.porcentaje = 1.0
       pxp.save
       pxa = PresupuestoXAgente.create(:presupuesto_id => presupuesto.id, :agente_id => aecid.id, :proyecto_id => proyecto.id, :porcentaje => 0.8)
       pxa.save
       pxa = PresupuestoXAgente.create(:presupuesto_id => presupuesto.id, :agente_id => agenteong.id, :proyecto_id => proyecto.id, :porcentaje => 0.2)
       pxa.save
       pxa = PresupuestoXActividad.create(:presupuesto_id => presupuesto.id, :actividad_id => Actividad.find_by_codigo("R05-A02").id, :porcentaje => 1.0, :proyecto_id => 1)
       pxa.save
    end

    desc "gasto_aplic_sf"
    task :gasto_aplic_sf => :presup_aplic_sf do
       proyecto = Proyecto.find_by_nombre("GONG-MOZ")
       aecid = Agente.find_by_nombre("AECID")
       agenteong = Agente.find_by_nombre("AGENTE-" + ong.upcase)

       gasto = Gasto.create(:importe => 5000.00, :presupuesto_id => Presupuesto.find_by_subpartida("INSTALACION DE SW").id, :partida_id => Partida.find_by_nombre("SERVICIOS TECNICOS").id, :moneda_id => Moneda.find_by_abreviatura("EUR").id, :fecha => "2011-11-01", :libro_id => Libro.find_by_nombre("CUENTA-BANCO-" + ong.upcase).id, :concepto => "Instalacion GONG" )
       gxp = GastoXProyecto.new
       gxp.proyecto_id = proyecto.id
       gxp.gasto_id = gasto.id
       gxp.porcentaje = 1.0
       gxp.save
       gxa = GastoXAgente.create(:gasto_id => gasto.id, :agente_id => aecid.id, :proyecto_id => proyecto.id, :porcentaje => 0.8)
       gxa.save
       gxa = GastoXAgente.create(:gasto_id => gasto.id, :agente_id => agenteong.id, :proyecto_id => proyecto.id, :porcentaje => 0.2)
       gxa.save
       gxa = GastoXActividad.create(:gasto_id => gasto.id, :actividad_id => Actividad.find_by_codigo("R01-A01").id, :porcentaje => 1.0, :proyecto_id => 1)
       gxa.save

       gasto = Gasto.create(:importe => 5000.00, :presupuesto_id => Presupuesto.find_by_subpartida("SELECCIÓN Y CAPACITACIÓN EQUIPOS").id, :partida_id => Partida.find_by_nombre("SERVICIOS TECNICOS").id, :moneda_id => Moneda.find_by_abreviatura("EUR").id, :fecha => "2011-11-01", :libro_id => Libro.find_by_nombre("CUENTA-BANCO-" + ong.upcase).id, :concepto => "selección rrhh en la sed" )
       gxp = GastoXProyecto.new
       gxp.proyecto_id = proyecto.id
       gxp.gasto_id = gasto.id
       gxp.porcentaje = 1.0
       gxp.save
       gxa = GastoXAgente.create(:gasto_id => gasto.id, :agente_id => aecid.id, :proyecto_id => proyecto.id, :porcentaje => 0.8)
       gxa.save
       gxa = GastoXAgente.create(:gasto_id => gasto.id, :agente_id => agenteong.id, :proyecto_id => proyecto.id, :porcentaje => 0.2)
       gxa.save
       gxa = GastoXActividad.create(:gasto_id => gasto.id, :actividad_id => Actividad.find_by_codigo("R01-A02").id, :porcentaje => 1.0, :proyecto_id => 1)
       gxa.save

       gasto = Gasto.create(:importe => 35000.00, :presupuesto_id => Presupuesto.find_by_subpartida("INCORPORACIÓN DE PROYECTOS PILOTO").id, :partida_id => Partida.find_by_nombre("SERVICIOS TECNICOS").id, :moneda_id => Moneda.find_by_abreviatura("EUR").id, :fecha => "2011-11-01", :libro_id => Libro.find_by_nombre("CUENTA-BANCO-" + ong.upcase).id, :concepto => "Ensayo con algunos proyectos" )
       gxp = GastoXProyecto.new
       gxp.proyecto_id = proyecto.id
       gxp.gasto_id = gasto.id
       gxp.porcentaje = 1.0
       gxp.save
       gxa = GastoXAgente.create(:gasto_id => gasto.id, :agente_id => aecid.id, :proyecto_id => proyecto.id, :porcentaje => 0.8)
       gxa.save
       gxa = GastoXAgente.create(:gasto_id => gasto.id, :agente_id => agenteong.id, :proyecto_id => proyecto.id, :porcentaje => 0.2)
       gxa.save
       gxa = GastoXActividad.create(:gasto_id => gasto.id, :actividad_id => Actividad.find_by_codigo("R01-A03").id, :porcentaje => 1.0, :proyecto_id => 1)
       gxa.save

       gasto = Gasto.create(:importe => 2000.00, :presupuesto_id => Presupuesto.find_by_subpartida("MANUAL DE BUENAS PRÁCTICAS").id,  :partida_id => Partida.find_by_nombre("SERVICIOS TECNICOS").id, :moneda_id => Moneda.find_by_abreviatura("EUR").id, :fecha => "2011-11-01", :libro_id => Libro.find_by_nombre("CUENTA-BANCO-" + ong.upcase).id, :concepto => "elaboración de un manual" )
       gxp = GastoXProyecto.new
       gxp.proyecto_id = proyecto.id
       gxp.gasto_id = gasto.id
       gxp.porcentaje = 1.0
       gxp.save
       gxa = GastoXAgente.create(:gasto_id => gasto.id, :agente_id => aecid.id, :proyecto_id => proyecto.id, :porcentaje => 0.8)
       gxa.save
       gxa = GastoXAgente.create(:gasto_id => gasto.id, :agente_id => agenteong.id, :proyecto_id => proyecto.id, :porcentaje => 0.2)
       gxa.save
       gxa = GastoXActividad.create(:gasto_id => gasto.id, :actividad_id => Actividad.find_by_codigo("R05-A01").id, :porcentaje => 1.0, :proyecto_id => 1)
       gxa.save

       gasto = Gasto.create(:importe => 3000.00, :presupuesto_id => Presupuesto.find_by_subpartida("ELABORACIÓN DE HERRAMIENTAS WEB DE DIFUSIÓN").id, :partida_id => Partida.find_by_nombre("SERVICIOS TECNICOS").id, :moneda_id => Moneda.find_by_abreviatura("EUR").id, :fecha => "2011-11-01", :libro_id => Libro.find_by_nombre("CUENTA-BANCO-" + ong.upcase).id, :concepto => "web de difusión y publicidad de la herramienta" )
       gxp = GastoXProyecto.new
       gxp.proyecto_id = proyecto.id
       gxp.gasto_id = gasto.id
       gxp.porcentaje = 1.0
       gxp.save
       gxa = GastoXAgente.create(:gasto_id => gasto.id, :agente_id => aecid.id, :proyecto_id => proyecto.id, :porcentaje => 0.8)
       gxa.save
       gxa = GastoXAgente.create(:gasto_id => gasto.id, :agente_id => agenteong.id, :proyecto_id => proyecto.id, :porcentaje => 0.2)
       gxa.save
       gxa = GastoXActividad.create(:gasto_id => gasto.id, :actividad_id => Actividad.find_by_codigo("R05-A02").id, :porcentaje => 1.0, :proyecto_id => 1)
       gxa.save
    end

    # transfert rate 1.00 EUR/46 MZN 1.00 MZN/0.02 EUR
    desc "presupuesto en las ong en mozambique"
    task :presup_moz => [:environment, :all_admin, :obj_res_aplic_sf, :act_asoc_moz] do
       proyecto = Proyecto.find_by_nombre("GONG-MOZ")
       aecid = Agente.find_by_nombre("AECID")
       agenteong = Agente.find_by_nombre("AGENTE-" + ong.upcase)

       usuarios.each do |usuario|
         presupuesto = Presupuesto.create(:importe => 138000.00 , :subpartida => "ELABORACIÓN Y CALENDARIO EN " + usuario.upcase, :observaciones => "", :partida_id => Partida.find_by_nombre("SERVICIOS TECNICOS").id, :moneda_id => Moneda.find_by_abreviatura("MZN").id, :agente_id => Agente.find_by_nombre("AGENTE-" + usuario.upcase).id, :fecha_inicio => "2011-11-01", :fecha_fin => "2011-12-01", :libro_id => Libro.find_by_nombre("CUENTA-BANCO-" + usuario.upcase).id, :coste_unitario => nil, :numero_unidades => nil )
         pxp = PresupuestoXProyecto.new
         pxp.proyecto_id = proyecto.id
         pxp.presupuesto_id = presupuesto.id
         pxp.porcentaje = 1.0
         pxp.save
         pxa = PresupuestoXAgente.create(:presupuesto_id => presupuesto.id, :agente_id => aecid.id, :proyecto_id => proyecto.id, :porcentaje => 0.8)
         pxa.save
         pxa = PresupuestoXAgente.create(:presupuesto_id => presupuesto.id, :agente_id => agenteong.id, :proyecto_id => proyecto.id, :porcentaje => 0.2)
         pxa.save
         pxa = PresupuestoXActividad.create(:presupuesto_id => presupuesto.id, :actividad_id => Actividad.find_by_codigo("R03-A01-" + usuario.upcase).id, :porcentaje => 1.0, :proyecto_id => 1)
         pxa.save
  
         presupuesto = Presupuesto.create(:importe => 184000.00, :subpartida => "ELABORACION DE PLAN DE FORMACION Y CAPACITACIÓN EN " + usuario.upcase, :observaciones => "", :partida_id => Partida.find_by_nombre("SERVICIOS TECNICOS").id, :moneda_id => Moneda.find_by_abreviatura("MZN").id, :agente_id => Agente.find_by_nombre("AGENTE-" + usuario.upcase).id, :fecha_inicio => "2011-11-01", :fecha_fin => "2012-11-01", :libro_id => Libro.find_by_nombre("CUENTA-BANCO-" + usuario.upcase).id, :coste_unitario => nil, :numero_unidades => nil)
         pxp = PresupuestoXProyecto.new
         pxp.proyecto_id = proyecto.id
         pxp.presupuesto_id = presupuesto.id
         pxp.porcentaje = 1.0
         pxp.save
         pxa = PresupuestoXAgente.create(:presupuesto_id => presupuesto.id, :agente_id => aecid.id, :proyecto_id => proyecto.id, :porcentaje => 0.8)
         pxa.save
         pxa = PresupuestoXAgente.create(:presupuesto_id => presupuesto.id, :agente_id => agenteong.id, :proyecto_id => proyecto.id, :porcentaje => 0.2)
         pxa.save
         pxa = PresupuestoXActividad.create(:presupuesto_id => presupuesto.id, :actividad_id => Actividad.find_by_codigo("R03-A02-" + usuario.upcase).id, :porcentaje => 1.0, :proyecto_id => 1)
         pxa.save
  
         presupuesto = Presupuesto.create(:importe => 2024000.00, :subpartida => "INCORPORACIÓN DE PROYECTOS EN " + usuario.upcase, :observaciones => "", :partida_id => Partida.find_by_nombre("SERVICIOS TECNICOS").id, :moneda_id => Moneda.find_by_abreviatura("MZN").id, :agente_id => Agente.find_by_nombre("AGENTE-" + usuario.upcase).id, :fecha_inicio => "2011-11-01", :fecha_fin => "2011-12-01", :libro_id => Libro.find_by_nombre("CUENTA-BANCO-" + usuario.upcase).id, :coste_unitario => nil, :numero_unidades => nil )
         pxp = PresupuestoXProyecto.new
         pxp.proyecto_id = proyecto.id
         pxp.presupuesto_id = presupuesto.id
         pxp.porcentaje = 1.0
         pxp.save
         pxa = PresupuestoXAgente.create(:presupuesto_id => presupuesto.id, :agente_id => aecid.id, :proyecto_id => proyecto.id, :porcentaje => 0.8)
         pxa.save
         pxa = PresupuestoXAgente.create(:presupuesto_id => presupuesto.id, :agente_id => agenteong.id, :proyecto_id => proyecto.id, :porcentaje => 0.2)
         pxa.save
         pxa = PresupuestoXActividad.create(:presupuesto_id => presupuesto.id, :actividad_id => Actividad.find_by_codigo("R03-A03-" + usuario.upcase).id, :porcentaje => 1.0, :proyecto_id => 1)
         pxa.save
  
         presupuesto = Presupuesto.create(:importe => 138000.00, :subpartida => "EVALUACIÓN DE LA IMPLANTACIÓN EN " + usuario.upcase, :observaciones => "", :partida_id => Partida.find_by_nombre("SERVICIOS TECNICOS").id, :moneda_id => Moneda.find_by_abreviatura("MZN").id, :agente_id => Agente.find_by_nombre("AGENTE-" + usuario.upcase).id, :fecha_inicio => "2011-11-01", :fecha_fin => "2011-12-01", :libro_id => Libro.find_by_nombre("CUENTA-BANCO-" + usuario.upcase).id, :coste_unitario => nil, :numero_unidades => nil)
         pxp = PresupuestoXProyecto.new
         pxp.proyecto_id = proyecto.id
         pxp.presupuesto_id = presupuesto.id
         pxp.porcentaje = 1.0
         pxp.save
         pxa = PresupuestoXAgente.create(:presupuesto_id => presupuesto.id, :agente_id => aecid.id, :proyecto_id => proyecto.id, :porcentaje => 0.8)
         pxa.save
         pxa = PresupuestoXAgente.create(:presupuesto_id => presupuesto.id, :agente_id => agenteong.id, :proyecto_id => proyecto.id, :porcentaje => 0.2)
         pxa.save
         pxa = PresupuestoXActividad.create(:presupuesto_id => presupuesto.id, :actividad_id => Actividad.find_by_codigo("R03-A04-" + usuario.upcase).id, :porcentaje => 1.0, :proyecto_id => 1)
         pxa.save
      end

  end

    desc "gasto en las ong en mozambique"
    task :gasto_moz => [:environment, :presup_moz] do
       proyecto = Proyecto.find_by_nombre("GONG-MOZ")
       aecid = Agente.find_by_nombre("AECID")
       agenteong = Agente.find_by_nombre("AGENTE-" + ong.upcase)

       usuarios.each do |usuario|
         gasto = Gasto.create(:importe => 138000.00 , :presupuesto_id => Presupuesto.find_by_subpartida("ELABORACIÓN Y CALENDARIO EN " + usuario.upcase).id, :partida_id => Partida.find_by_nombre("SERVICIOS TECNICOS").id, :moneda_id => Moneda.find_by_abreviatura("MZN").id, :fecha => "2011-11-01", :libro_id => Libro.find_by_nombre("CUENTA-BANCO-" + usuario.upcase).id, :concepto => "calendario en " + usuario )
         gxp = GastoXProyecto.new
         gxp.proyecto_id = proyecto.id
         gxp.gasto_id = gasto.id
         gxp.porcentaje = 1.0
         gxp.save
         gxa = GastoXAgente.create(:gasto_id => gasto.id, :agente_id => aecid.id, :proyecto_id => proyecto.id, :porcentaje => 0.8)
         gxa.save
         gxa = GastoXAgente.create(:gasto_id => gasto.id, :agente_id => agenteong.id, :proyecto_id => proyecto.id, :porcentaje => 0.2)
         gxa.save
         gxa = GastoXActividad.create(:gasto_id => gasto.id, :actividad_id => Actividad.find_by_codigo("R03-A01-" + usuario.upcase).id, :porcentaje => 1.0, :proyecto_id => 1)
         gxa.save
  
         gasto = Gasto.create(:importe => 184000.00, :presupuesto_id => Presupuesto.find_by_subpartida("ELABORACION DE PLAN DE FORMACION Y CAPACITACIÓN EN " + usuario.upcase).id, :partida_id => Partida.find_by_nombre("SERVICIOS TECNICOS").id, :moneda_id => Moneda.find_by_abreviatura("MZN").id, :fecha => "2012-11-01", :libro_id => Libro.find_by_nombre("CUENTA-BANCO-" + usuario.upcase).id, :concepto => "capacitación rrhh")
         gxp = GastoXProyecto.new
         gxp.proyecto_id = proyecto.id
         gxp.gasto_id = gasto.id
         gxp.porcentaje = 1.0
         gxp.save
         gxa = GastoXAgente.create(:gasto_id => gasto.id, :agente_id => aecid.id, :proyecto_id => proyecto.id, :porcentaje => 0.8)
         gxa.save
         gxa = GastoXAgente.create(:gasto_id => gasto.id, :agente_id => agenteong.id, :proyecto_id => proyecto.id, :porcentaje => 0.2)
         gxa.save
         gxa = GastoXActividad.create(:gasto_id => gasto.id, :actividad_id => Actividad.find_by_codigo("R03-A02-" + usuario.upcase).id, :porcentaje => 1.0, :proyecto_id => 1)
         gxa.save
  
         gasto = Gasto.create(:importe => 2024000.00, :presupuesto_id => Presupuesto.find_by_subpartida("INCORPORACIÓN DE PROYECTOS EN " + usuario.upcase).id, :partida_id => Partida.find_by_nombre("SERVICIOS TECNICOS").id, :moneda_id => Moneda.find_by_abreviatura("MZN").id, :fecha => "2011-11-01", :libro_id => Libro.find_by_nombre("CUENTA-BANCO-" + usuario.upcase).id, :concepto => "incorporación de proyectos" )
         gxp = GastoXProyecto.new
         gxp.proyecto_id = proyecto.id
         gxp.gasto_id = gasto.id
         gxp.porcentaje = 1.0
         gxp.save
         gxa = GastoXAgente.create(:gasto_id => gasto.id, :agente_id => aecid.id, :proyecto_id => proyecto.id, :porcentaje => 0.8)
         gxa.save
         gxa = GastoXAgente.create(:gasto_id => gasto.id, :agente_id => agenteong.id, :proyecto_id => proyecto.id, :porcentaje => 0.2)
         gxa.save
         gxa = GastoXActividad.create(:gasto_id => gasto.id, :actividad_id => Actividad.find_by_codigo("R03-A03-" + usuario.upcase).id, :porcentaje => 1.0, :proyecto_id => 1)
         gxa.save
  
         gasto = Gasto.create(:importe => 138000.00, :presupuesto_id => Presupuesto.find_by_subpartida("EVALUACIÓN DE LA IMPLANTACIÓN EN " + usuario.upcase).id, :partida_id => Partida.find_by_nombre("SERVICIOS TECNICOS").id, :moneda_id => Moneda.find_by_abreviatura("MZN").id, :fecha => "2011-11-01", :libro_id => Libro.find_by_nombre("CUENTA-BANCO-" + usuario.upcase).id, :concepto => "evaluación de la implantación")
         gxp = GastoXProyecto.new
         gxp.proyecto_id = proyecto.id
         gxp.gasto_id = gasto.id
         gxp.porcentaje = 1.0
         gxp.save
         gxa = GastoXAgente.create(:gasto_id => gasto.id, :agente_id => aecid.id, :proyecto_id => proyecto.id, :porcentaje => 0.8)
         gxa.save
         gxa = GastoXAgente.create(:gasto_id => gasto.id, :agente_id => agenteong.id, :proyecto_id => proyecto.id, :porcentaje => 0.2)
         gxa.save
         gxa = GastoXActividad.create(:gasto_id => gasto.id, :actividad_id => Actividad.find_by_codigo("R03-A04-" + usuario.upcase).id, :porcentaje => 1.0, :proyecto_id => 1)
         gxa.save
      end

  end

  desc "tareas para iniciar "
  task :tarea_inicial => [:environment, :all_admin] do
       proyecto = Proyecto.find_by_nombre("GONG-MOZ")
       ong = Usuario.find_by_nombre(ong)
       admin = Usuario.find_by_nombre("admin")
       Tarea.all.each{ |t| t.titulo == "tarea para " + ong.nombre and puts t.destroy}
       tarea = Tarea.create(:titulo => "tarea para " + ong.nombre, :descripcion =>  "tarea inicial para " + ong.nombre,:tipo_tarea_id => TipoTarea.find_by_nombre("Proyecto - Revisar matriz").id, :proyecto_id => proyecto.id, :usuario_id => admin.id, :usuario_asignado_id => ong.id, :fecha_inicio => Time.now.strftime("%Y-%m-%d"), :fecha_fin => nil, :porcentage_implementacion => 0, :financiacion_id => nil, :estado_tarea_id => EstadoTarea.find_by_nombre("en espera").id )
       Comentario.create(:tarea_id => tarea.id, :usuario_id => admin.id, :texto => "cambiar estado a \"contacto\" y \"formacion\"<br>crear la etapa del proyecto<br>(del 01-11-2010 al 31-12-2014)")
  end 

  desc "tareas para los resultados"
  task :tareas_resultados => [:environment, :all_admin] do
       proyecto = Proyecto.find_by_nombre("GONG-MOZ")
       ong = Usuario.find_by_nombre(ong)
       usuarios.each do |usuario|
         usuario = Usuario.find_by_nombre(usuario)
         Tarea.all.each{ |t| t.titulo == "crear los resultados para " + usuario.nombre and puts t.destroy}
         tarea = Tarea.create(:titulo => "crear los resultados para " + usuario.nombre, :descripcion => "crear los resultados para " + usuario.nombre, :tipo_tarea_id => TipoTarea.find_by_nombre("Proyecto - Revisar matriz").id, :proyecto_id => proyecto.id, :usuario_id => ong.id, :usuario_asignado_id => usuario.id, :fecha_inicio => Time.now.strftime("%Y-%m-%d"), :fecha_fin => nil, :porcentage_implementacion => 0, :financiacion_id => nil, :estado_tarea_id => EstadoTarea.find_by_nombre("en espera").id )
         Comentario.create(:tarea_id => tarea.id, :usuario_id => ong.id, :texto => "el resultado tendrá como objectivo especifico \"OE01\" <br>y tendrá como nombre OE01-R03- " + usuario.nombre.upcase)
       end
  end 

  desc "tareas para las actividades"
  task :tareas_actividades => [:environment, :all_admin] do
       proyecto = Proyecto.find_by_nombre("GONG-MOZ")
       ong = Usuario.find_by_nombre(ong)
       usuarios.each do |usuario|
         usuario = Usuario.find_by_nombre(usuario)
         Tarea.all.each{ |t| t.titulo == "crear las actividades para " + usuario.nombre and puts t.destroy}
         tarea = Tarea.create(:titulo => "crear las actividades para " + usuario.nombre, :descripcion => "crear las actividades para " + usuario.nombre, :tipo_tarea_id => TipoTarea.find_by_nombre("Proyecto - Revisar matriz").id, :proyecto_id => proyecto.id, :usuario_id => ong.id, :usuario_asignado_id => usuario.id, :fecha_inicio => Time.now.strftime("%Y-%m-%d"), :fecha_fin => nil, :porcentage_implementacion => 0, :financiacion_id => nil, :estado_tarea_id => EstadoTarea.find_by_nombre("en espera").id )
         Comentario.create(:tarea_id => tarea.id, :usuario_id => ong.id, :texto => "las actividades irán al resultado OE01-R03- " + usuario.nombre.upcase + "<br>serán nombradas como R03-A01-" + usuario.nombre.upcase + "<br>(A01/A02/A03/A04)")
       end
  end 

  desc "tareas para las presupuestos"
  task :tareas_presupuestos => [:environment, :all_admin] do
       proyecto = Proyecto.find_by_nombre("GONG-MOZ")
       ong = Usuario.find_by_nombre(ong)
       usuarios.each do |usuario|
         usuario = Usuario.find_by_nombre(usuario)
         Tarea.all.each{ |t| t.titulo == "crear los presupuestos para " + usuario.nombre and puts t.destroy}
         tarea = Tarea.create(:titulo => "crear los presupuestos para " + usuario.nombre, :descripcion => "crear los presupuestos para " + usuario.nombre, :tipo_tarea_id => TipoTarea.find_by_nombre("Proyecto - Revisar presupuesto").id, :proyecto_id => proyecto.id, :usuario_id => ong.id, :usuario_asignado_id => usuario.id, :fecha_inicio => Time.now.strftime("%Y-%m-%d"), :fecha_fin => nil, :porcentage_implementacion => 0, :financiacion_id => nil, :estado_tarea_id => EstadoTarea.find_by_nombre("en espera").id )
         Comentario.create(:tarea_id => tarea.id, :usuario_id => ong.id, :texto => "los presupuestos tendrán todos<br>moneda \"MZN\"<br>partida \"SERVICIOS TECNICOS\"<br>implementador vuestro agente \"AGENTE-" + usuario.nombre.upcase + "<br> subpartida será la del documento que le habemos dado<br>idem para las fechas<br>Asociar lo con la actividad que le corresponde y darle un porcentaje de \"100%\"<br>Los finaciador son \"AECID\" con \"80%\" y AGENTE-" + ong.nombre.upcase + " con \"20%\"" ) 
       end

  end 
end
